summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSami Kerola <kerolasa@iki.fi>2011-10-19 11:45:38 +0200
committerSami Kerola <kerolasa@iki.fi>2011-12-20 17:30:51 +0100
commit565e4c61a837aa0357e2edfadedf48acdfe1d651 (patch)
treeb6863c04c61978c11e66de9273760b11c9a369a6 /autogen.sh
parentab3ff3cdab34a9f657e485ec5d7eee244253cb78 (diff)
downloadprocps-ng-565e4c61a837aa0357e2edfadedf48acdfe1d651.tar.gz
build-sys: verify gettext is present in autogen.sh
Signed-off-by: Sami Kerola <kerolasa@iki.fi>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 4e3d499..6699630 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,6 +15,12 @@ test -f top.c || {
DIE=1
}
+(autopoint --version) < /dev/null > /dev/null 2>&1 || {
+ echo "You must have autopoint installed to generate util-linux build system."
+ echo "The autopoint command is part of the GNU gettext package."
+ DIE=1
+}
+
(autoconf --version) < /dev/null > /dev/null || {
echo "You must have autoconf installed to generate procps-ng build system."
DIE=1
@@ -45,6 +51,7 @@ if test ${DIE} -ne 0; then
fi
echo "Generate build-system by:"
+echo " autopoint: $(autopoint --version | head -1)"
echo " aclocal: $(aclocal --version | head -1)"
echo " autoconf: $(autoconf --version | head -1)"
echo " autoheader: $(autoheader --version | head -1)"